OpenVDB 12.1.0

Loading...
Searching...
No Matches
FilteredTransfer< FilterT > Struct Template Reference

FilteredTransfer module, when derived from allows for schemes to apply point filtering. Note that this module handles the thread safe intialization and storage of the filter, but derived schemes must call FilteredTransfer::filter() per point id and handle the result. More...

`#include <openvdb/points/PointTransfer.h>`

## Public Member Functions
| FilteredTransfer (const FilterT &filter)
| FilteredTransfer (const FilteredTransfer &other)
void | initialize (const Coord &, const size_t, const CoordBBox &)
bool | startPointLeaf (const PointDataTree::LeafNodeType &leaf)
bool | filter (const Index id) const

## Detailed Description

template<typename FilterT>
struct openvdb::v12_1::points::FilteredTransfer< FilterT >

FilteredTransfer module, when derived from allows for schemes to apply point filtering. Note that this module handles the thread safe intialization and storage of the filter, but derived schemes must call FilteredTransfer::filter() per point id and handle the result.

## Constructor & Destructor Documentation

## ◆ FilteredTransfer() [1/2]

template<typename FilterT>

FilteredTransfer | ( | const FilterT & | filter | ) |
| inline

## ◆ FilteredTransfer() [2/2]

template<typename FilterT>

FilteredTransfer | ( | const FilteredTransfer< FilterT > & | other | ) |
| inline

## Member Function Documentation

## ◆ filter()

template<typename FilterT>

bool filter | ( | const Index | id | ) | const
| inline

## ◆ initialize()

template<typename FilterT>

void initialize | ( | const Coord & | ,
|  | const size_t | ,
|  | const CoordBBox & | )
| inline

## ◆ startPointLeaf()

template<typename FilterT>

bool startPointLeaf | ( | const PointDataTree::LeafNodeType & | leaf | ) |
| inline